%global debug_package %{nil}

%global collection_namespace redhat
%global collection_name satellite
%global collection_directory %{_datadir}/ansible/collections/ansible_collections/%{collection_namespace}/%{collection_name}

%if 0%{?fedora} || 0%{?rhel} >= 8
%global ansible_python python3
%global pyyaml %{ansible_python}-pyyaml
%else
%global ansible_python python2
%global pyyaml PyYAML
%endif

%global release 1

Name:       ansible-collection-%{collection_namespace}-%{collection_name}
Version:    2.2.0
Release:    %{?prerelease:0.}%{release}%{?prerelease}%{?nightly}%{?dist}
Summary:    Red Hat Satellite Ansible Modules Collection

License:    GPLv3+
URL:        https://github.com/RedHatSatellite/satellite-ansible-collection
Source0:    https://github.com/RedHatSatellite/satellite-ansible-collection/releases/download/%{version}/%{collection_namespace}-%{collection_name}-%{version}.tar.gz
BuildArch:  noarch

Provides: ansible-collection(%{collection_namespace}.%{collection_name}) = %{version}
Provides: ansible-collection-theforeman-foreman = %{version}
Provides: bundled(%{ansible_python}-apypie) = 0.3.2
Requires: ansible >= 2.8
Requires: %{ansible_python}-requests >= 2.4.2
Requires: %{pyyaml}
%if 0%{?rhel} == 7
Requires: python-ipaddress
%endif

%description
Collection of Ansible Modules to manage Satellite installations.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{collection_directory}
cp -a ./* %{buildroot}%{collection_directory}



%files
%{collection_directory}/
%license %{collection_directory}/LICENSE
%doc %{collection_directory}/README.md



%changelog
* Wed Sep 01 2021 Evgeni Golov - 2.2.0-1
- Release ansible-collection-redhat-satellite 2.2.0

* Wed Jul 21 2021 Evgeni Golov - 2.1.2-1
- Release ansible-collection-redhat-satellite 2.1.2

* Thu Jun 24 2021 Evgeni Golov - 2.1.1-1
- Release ansible-collection-redhat-satellite 2.1.1

* Fri May 21 2021 Evgeni Golov - 2.1.0-1
- Release ansible-collection-redhat-satellite 2.1.0

* Wed Mar 03 2021 Evgeni Golov - 2.0.1-1
- Release ansible-collection-redhat-satellite 2.0.1

* Mon Dec 14 2020 Evgeni Golov - 1.5.1-1
- Release ansible-collection-redhat-satellite 1.5.1

* Thu Dec 10 2020 Evgeni Golov - 1.5.0-1
- Release ansible-collection-redhat-satellite 1.5.0

* Wed Sep 23 2020 Evgeni Golov - 1.3.0-1
- Release ansible-collection-redhat-satellite 1.3.0

* Mon Sep 07 2020 Evgeni Golov - 1.2.0-1
- Release ansible-collection-redhat-satellite 1.2.0

* Tue Jul 14 2020 Evgeni Golov - 1.0.1-1
- Release ansible-collection-redhat-satellite 1.0.1

* Mon Jun 29 2020 Evgeni Golov - 1.0.0-1
- Release ansible-collection-redhat-satellite 1.0.0

* Fri May 08 2020 Evgeni Golov - 0.8.0-1
- Release ansible-collection-redhat-satellite 0.8.0
